=== debian/changelog ===
cppcheck (1.49-1ubuntu1) oneiric; urgency=low

  * Apply patch by Felix Geyer to fix build failure with system tinymxl and
    -Wl,--as-needed (LP: #803177)

 -- Stefano Rivera <stefanor@ubuntu.com>  Wed, 29 Jun 2011 19:11:39 +0200

cppcheck (1.49-1) unstable; urgency=low

  * New upstream release
  * Fix segmentation fault with asm code. Closes: #625959
  * control: Standars-version changed 3.9.1 -> 3.9.2

 -- Reijo Tomperi <aggro80@users.sourceforge.net>  Tue, 14 Jun 2011 21:23:39 +0300
