=== debian/changelog ===
cppcheck (1.50-1) unstable; urgency=low

  * New upstream release
  * Fix ftbs with --as-needed. Closes: #632084
  * Apply crash patch from upstream: 961b6e77522a7635ebbffaba37698950fcb413a0

 -- Reijo Tomperi <aggro80@users.sourceforge.net>  Sun, 04 Sep 2011 22:55:46 +0300
