=== debian/changelog ===
cppcheck (1.51-1) unstable; urgency=low

  * New upstream release
  * Fix false-negative for realloc. Closes: #628593

 -- Reijo Tomperi <aggro80@users.sourceforge.net>  Sat, 08 Oct 2011 21:55:53 +0300
